
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Vim 字符集问题 / 憋错料</title>

    <meta name="description" content="Vim 字符集问题  使用CentOS中的Vim 文本编辑器出现中文乱码的问题. 凡是字符乱码的问题,都是字符集不匹配的问题引起的.这里的字符集不匹配只的是文件的编码和解码方式不匹配,同时可能涉及到不只一次的解码过程. 计算机中的所有文件都是以二进制格式存储的(计算机可识别内容).我们在读取文件内容时,均是通过不同的软件读取的,软件在读取文件内容时,需要使用不同的字符集来识别文件中的人类可识别内容.字符集就是一个数值与人类可识别基础字符的对照表. 一个文件 有自己的编码字符集,编辑器在读取文件时有自己的字符集,在l">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Vim 字符集问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>　　 &nbsp;使用CentOS中的Vim 文本编辑器出现中文乱码的问题。</p>
<p>　 凡是字符乱码的问题，都是字符集不匹配的问题引起的。这里的字符集不匹配只的是文件的编码和解码方式不匹配，同时可能涉及到不只一次的解码过程。</p>
<p>　　计算机中的所有文件都是以二进制格式存储的（计算机可识别内容）。我们在读取文件内容时，均是通过不同的软件读取的，软件在读取文件内容时，需要使用不同的字符集来识别文件中的人类可识别内容。字符集就是一个数值与人类可识别基础字符的对照表。</p>
<p>　　一个文件 有自己的编码字符集，编辑器在读取文件时有自己的字符集，在linux系统中还会涉及到终端的显示字符集。</p>
<p>　在Xshell终端中使用Vim打开文件时，中文出现乱码。分析原因时要考虑：1.文件的原始编码方式 2.vim打开文件的编码方式 3. xshell 终端的编码方式。</p>
<p>在 Vim 中主要有三个和字符集相关的变量: encoding(enc) , fileencoding(fenc) , fileencodings(fencs).</p>
<p>fileencodings：打开文件的时候进行解码的猜测列表。</p>
<p>fileencoding ：用于设置保存文件时使用的字符集。</p>
<p>encoding：用于设置编辑文件时使用的字符集。　　　</p>
<p>例如：可以使用下面的命令</p>
<p>1. &nbsp;:edit ++enc=&lt;encoding&gt; [filename] &nbsp; 以指定的编码格式重新打开文件。即在这种字符集下编辑文件。</p>
<p>2. &nbsp;:write ++enc=&lt;encoding&gt; [filename] &nbsp;以指定的编码格式保存文件。</p>
<p>以上两种方式是可以暂时 覆盖 下边 3.4 两种方式指定的默认 编辑、写入时默认的字符集。</p>
<p>3.&nbsp;:set encoding[=&lt;encoding&gt;] &nbsp;指定编辑文件的字符集。（显示时）</p>
<p>4.&nbsp;:set fileencoding[=&lt;encoding&gt;] 指定保存文件的字符集。（写入时）</p>
<p>vim 在打开文件是 首先根据变量 fileencodings 中的 字符集类别 猜测正确的字符集，然后将fileencoding 变量设置成选中的字符集。如果fileencodings 没有设置，选择用系统的字符集 （locale 命令查看）。之后fileencoding 被设置为此编码。</p>
<p>使用vim打开一个文件，可以使用 [:set fileencodings] &nbsp;，[:set fileencoding] ，&nbsp;[:set encoding] 查看当前变量的配置信息。</p>
<p>在Centos中配置vim的三个变量：/etc/vimrc 文件中。</p>
<p>参考的文章：</p>
<p>https://spin.atomicobject.com/2011/06/21/character-encoding-tricks-for-vim/</p>
<p>http://www.itnose.net/detail/6487670.html</p>
<p>http://stackoverflow.com/questions/16507777/vim-set-encoding-and-fileencoding-utf-8</p>
<p>http://stackoverflow.com/questions/1174847/how-to-set-the-character-encoding-for-a-file-in-vim</p>
<p>http://www.cnblogs.com/ggjucheng/archive/2012/01/04/2312522.html</p>
<p>http://www.cnblogs.com/jacklikedogs/p/3494566.html</p>
<p>http://www.joelonsoftware.com/articles/Unicode.html</p>
<p>http://blog.sina.com.cn/s/blog_912de1360102wm5p.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 09:43:05 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Vim 字符集问题的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/BMzVylM.html" rel="bookmark">ubuntu下设置数据库字符集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				就linux环境下出现的数据库乱码的问题,以ubuntu为例进行的总结 ubuntu环境设置的字符集utf8,windows默认字符集是GBK,Ubuntu的默认字符集为utf-8,这使 得在用telnet登录远程服务器或查看windows文件时出现乱码.需要将ubuntu环境设置为GBK或GB2312,或设置软件使其正确显示汉 字.下面以GBK字符集为例进行说明: 一.修改Ubuntu默认字符集为GBK 1.首先设置sudo vi /var/lib/locales/supported.d/lo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/QM6qRN4.html" rel="bookmark">字符集编码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://blog.chinaunix.net/uid-20761674-id-3486843.html http://www.searchtb.com/2012/04/chinese_encode.html 编码问题的例子 在windows自带的notepad(记事本)程序中输入“联通”两个字,保存后再次打开,会发现“联通”不见了,代之以“???”的乱码.这是windows平台上典型的中文编码问题.即文件保存的时候是按照ANSI编码(其实就是GB2312,后面会详细介绍)保存,打开的时候程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/VMG2Wb4.html" rel="bookmark">Linux零基础入学之1-5 vim编辑器的使用和Xmanager远程工具的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[本节内容] vim主要模式介绍 vim命令模式 vim插入模式 vim命令行模式 vim可视化模式 设置vim开发环境 gedit  a.txt &amp; xmanager远程工具的使用 vim 编辑器模式切换: 命令模式 .命令行模式.编辑模式 :     INSERT [命令模式-&gt;编辑模式] 字符操作 i           当前字符之前插入 I           行首插入 a           当前字符之后插入 A           行尾插入 esc          退出当前模式			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0n1LWjM.html" rel="bookmark">转载的vim配置文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 &quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&quot;&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lXyNN0.html" rel="bookmark">vim详细使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Vim使用方法 1.vim简介 2.模式转换 3.关闭文件: 4.编辑模式光标调整 5.翻屏操作  6.编辑命令//编辑模式 7.可视化模式 8.撤销操作:undo 9.重复执行前一个编辑操作 10.vimturo教程 11.vim末行模式 12.编辑命令 13.查找和替换 14.vim的多文件模式 15.定制vim的工作特性 16.帮助 1.vimjian 文本编辑器: 文本:纯文本,ASCII text:Unicode字符集//全球统一编码 文本编辑器种类: 行编辑器 sed, 全屏编辑器:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NJEay4.html" rel="bookmark">CentOS 6&period;5上安装docker与docker对中文字符集的支持</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.CentOS 6.5上安装docker 在CentOS 6.5 还不能够直接通过yum install -y docker 来安装docker服务 在一些文档中有看到说是因为内核太低的原因导致的,因为docker至少要做3.8以上的版本才能安装, 但是我发现其实并不需要升级内核就可以实现docker的安装不过,也有可能我的安装存在偶然性, 但是我还是记录一下,以防日后忘记. 1.先查看下你的系统内核是多少 # uname -r 2.6.32-431.el6.x86_64 我的是CentOS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lrm7B4.html" rel="bookmark">mysql配置命令 CHARACTER&lowbar;SET&lowbar;&percnt;字符集设置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				参照: http://blog.csdn.net/mzlqh/article/details/7621307点击打开链接 其实现在的ubuntu12.04 直接sudo apt-get install MySQL 就可以了,mysql-client会自动地为你装上 #查看mysql是否正在运行 sudo netstat -tap | grep mysql 如果是正在运行,则 tcp 0 0 localhost.localdomain:mysql *:* LISTEN - 重启mysql sudo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49bgnWM.html" rel="bookmark">字符集实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				字符集实践报告 20135311傅冬菁 字符集由来及区别: ASCII码,它以8bit字节为单位存储,ASCII的0-31及127为控制符,32-126为可见字符,包括所有的英文字母,阿拉伯数字和其他一些常见符号,128-255的ASCII码则没有定义. ASCII对英语国家是够用了,但对其他西欧国家却不够用,因此,人们将ASCII扩展到0-255的范围,形成了ISO-8859-1字符集. 东方的文字(如中文)的字符数要大得多,根本不可能在一个字节内将它们表示出来,因此,它们以两个字节为单位存储			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49bx7bM.html" rel="bookmark">配置 &period;vimrc 解决 Vim &sol; gVim 在中文 Windows 下的字符编码问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载自:-杨博的日志 - 网易博客 Vim / gVim 在中文 Windows 下的字符编码有两个问题: 默认没有编码检测功能 如果一个文件本身采用的字符集比 GBK 大(如 UTF-8.UTF-16.GB18030),那么其中无法在 GBK 中对应的字符都会出现乱码,保存时会丢失.即使编辑文件时正确检测出文件格式也无济于事. 第一个问题的解决办法是在 ~/.vimrc 中加入以下配置: set fileencodings=ucs-bom,utf-8,cp936,gb18030,big5,eu			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/P47D59M.html" rel="bookmark" class="title">3-26高项作业</a>
					<div>
						第十章:质量管理 1.质量管理基本原则? 1).以实用为核心的多元要求.2).系统工程.3).职工参与管理.4).理层和第一把手重视.5).保护消费者权益.6).面向国际市场. 2.质量管理的目标?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/AMDl1kM.html" rel="bookmark" class="title">idea启动tomcat服务失败 SEVERE &lbrack;RMI TCP Connection&lpar;3&rpar;-127&period;0&period;0&period;1&rsqb; org&period;apache&period;catalina&period;core&period;ContainerBase&period;addChildInternal ContainerBase&period;addChild&colon;</a>
					<div>
						我的工程是从eclipse生成的,个人习惯用idea开发.重复了一遍以往正常的不能再正常了的导入配置,结果遇到了如下问题: SEVERE [RMI TCP Connection(3)-127.0.0. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/g41XOJ3.html" rel="bookmark" class="title">java md5 数据加密</a>
					<div>
						代码如下: import java.util.Scanner; import java.security.MessageDigest; import java.security.NoSuchAlgor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RBrlY0.html" rel="bookmark" class="title">产品团队合作（企业团队分工）</a>
					<div>
						设计团队: 负责用户对产品的满意度. 当前多数企业没有人承担这个责任.为实现这个责任,设计师必须有权利决定产品能应具有怎样的外观.感觉和行为.他们也需要获得相关的信息,必须通过观察和交谈了解潜在用户的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JkDwPM.html" rel="bookmark" class="title">UISegmentedControl的具体使用</a>
					<div>
						当用户输入不不过布尔值时.可使用分段控件(UISegmentedControl).分段控件提供一栏button(有时称为button栏),但只能激活当中一个button. 分段控件会导致用户在屏幕上看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/418BnY3.html" rel="bookmark" class="title">结队开发项目&mdash;NABC模型</a>
					<div>
						特点:可以避免食堂的用餐高峰,从而使使用者节约时间 need:很多学生中午下课在食堂吃饭会遭遇用餐高峰,使用这款软件,可以提前订饭,按时送达,从而避免食堂的用餐高峰期. approach:学生可以提前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xRvND4.html" rel="bookmark" class="title">苹果API常用英语名词：</a>
					<div>
						苹果API常用英语名词: 0. indicating 决定 1.in order to 以便 2.rectangle bounds 矩形尺寸 3.applied 应用 4.entirety 全部 5. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyjXea0.html" rel="bookmark" class="title">VS单元测试中Assert类的用法</a>
					<div>
						首先说介绍一下,Assert类所在的命名空间为Microsoft.VisualStudio.TestTools.UnitTesting 在工程文件中只要引用Microsoft.VisualStudio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49o77p0.html" rel="bookmark" class="title">SetTimer函数的用法</a>
					<div>
						什么时候我们需要用到SetTimer函数呢?当你需要每个一段时间执行一件事的的时候就需要使用SetTimer函数 了.使用定时器的方法比较简单,通常告诉WINDOWS一个时间间隔,然后WINDOWS以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4p5Q2xM.html" rel="bookmark" class="title">移动端zepot&amp;amp&semi;媒体查询media queries</a>
					<div>
						使用zepot做轮播图&lt;head&gt; &lt;meta charset=&quot;utf-8&quot;&gt; &lt;meta name=&quot;viewport&quot; co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyllKe4.html" rel="bookmark" class="title">objective-c学习笔记（2）</a>
					<div>
						面向对象和面向过程思想 OC是面向对象的,C是面向过程的.面向对象和面向过程只是解决问题的两种不同思想 面向对象和面向过程的区别 以用电脑听歌为例子 面向过程关注的是解决问题的步骤,数据和操作分离 打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41o7og0.html" rel="bookmark" class="title">IOS 子视图获取父视图的控制器</a>
					<div>
						UIResponder* nextResponder = [self.view.superview.superview nextResponder]; if ([nextResponder isKin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aRD8J3.html" rel="bookmark" class="title">【2015暑假】鸽巢原理总结 【算法思路&plus;组合数学】</a>
					<div>
						组合数学之鸽巢原理 如果要把n+1物体放进n个盒子里,那么至少会有一个盒子包含2个或2个以上的物体. 现在问题来了:给你n个数,从中选出若干个数使得它们的和为n的倍数. 鸽巢原理表示:一定存在若干个连 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NnpvJ4.html" rel="bookmark" class="title">python2&period;7连接mysql数据库，并从插入数据</a>
					<div>
						需要先导入mysqldb这个模块 import MySQLdbconn= MySQLdb.connect( host='localhost', #主机,127.0.0.1 port = 3306, # ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K8dmO3.html" rel="bookmark" class="title">HTTP缓存原理及相关知识（2）-CDN</a>
					<div>
						一.CND的定义 CDN的全称是Content Delivery Network,即内容分发网络.其基本思路是尽可能避开互联网上有可能影响数据传输速度和稳定性的瓶颈和环节,使内容传输的更快.更稳定.通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49kAdX0.html" rel="bookmark" class="title">有关文学知识对我大学生活的影响</a>
					<div>
						  上大学很长一段时间了,我发现自己真的变得不快乐了. 大一大二的很长一段时间以为大学就是把自己的书念好,把四六级考好,到时候能拿到奖学金就好好了,那些成为了暂时的目标.最终,书没有念好就是考试的分数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Qaxkk4.html" rel="bookmark" class="title">调用Android中的软键盘</a>
					<div>
						我们在Android提供的EditText中单击的时候,会自动的弹 出软键盘,其实对于软键盘的控制我们可以通过InputMethodManager这个类来实现.我们需要控制软键盘的方式就是两种一个是像 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vBmPa3.html" rel="bookmark" class="title">Android - 返回上一个界面finish&lpar;&rpar;方法</a>
					<div>
						返回上一个界面finish()方法 本文地址: http://blog.csdn.net/caroline_wendy Android可以使用finish()方法,实现函数返回的功能,当不是Activ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLrrKd3.html" rel="bookmark" class="title">Web性能优化工具WebPageTest（三）&mdash;&mdash;本地部署（Windows 7版本）</a>
					<div>
						这次先能够使用PC端的浏览器测试,首先需要下载官方的发布版本&quot;WebPageTest 3.0&quot;. 1. agent:浏览器代理软件 2. mobile:移动端参数相关代码 3. w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mzkjmq0.html" rel="bookmark" class="title">强化班ladder</a>
					<div>
						@2017.06.04 Follow up in Code Interview 401 - kth-smallest-number-in-sorted-matrix 排序数组,即每一行每一列都是排好序 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
